Get productgroup details
Get details for a product group.
get/tenants/{tenantUid}/product-groups/{productGroupUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
productGroupUidstringRequiredPattern:
Reference to a ProductGroup.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
createdAtstring · date-timeRequired
externalIdstringRequired
hasChildrenbooleanRequired
True when the product group has one or more subgroups.
lastModifiedAtstring · date-timeRequired
namestringRequired
parentUidstringRequiredPattern:
^[A-Za-z0-9-_]*productCountintegerRequired
Number of products in this productGroup.
productGroupUidstringRequiredPattern:
^[A-Za-z0-9-_]+scopestring · enum · min: 1Required
Possible values:
| ENUM | Description |
|---|---|
| SALE | Sale product scope. Default |
| SERVICE | Service product scope |
| NO_SEARCH | Not visible in search scope |
get/tenants/{tenantUid}/product-groups/{productGroupUid}
GET /v2/tenants/{tenantUid}/product-groups/{productGroupUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"externalId": "text",
"hasChildren": true,
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"name": "text",
"parentUid": "text",
"productCount": 1,
"productGroupUid": "text",
"scope": "SALE"
}Last updated
Was this helpful?

